### Enumeration

# Ggit StatusOption

#### Declaration

    flags Ggit.StatusOption

#### Description [src]

should be processed between the head and the index and enables the GIT_STATUS_INDEX_RENAMED as a possible status flag. GGIT_STATUS_OPTION_RENAMES_INDEX_TO_WORKDIR: indicates tha rename detection should be run between the index and the working directory and enabled GIT_STATUS_WT_RENAMED as a possible status flag. GGIT_STATUS_OPTION_SORT_CASE_SENSITIVELY: sort case sensitive. GGIT_STATUS_OPTION_SORT_CASE_INSENSITIVELY: sort case insensitive. GGIT_STATUS_OPTION_DEFAULT: default flags. Status options specified when using #ggit_repository_file_status_foreach.

#### Members

Name | Description
--- | ---
`GGIT_STATUS_OPTION_INCLUDE_UNTRACKED` | No description available.
`GGIT_STATUS_OPTION_INCLUDE_IGNORED` | No description available.
`GGIT_STATUS_OPTION_INCLUDE_UNMODIFIED` | No description available.
`GGIT_STATUS_OPTION_EXCLUDE_SUBMODULES` | No description available.
`GGIT_STATUS_OPTION_RECURSE_UNTRACKED_DIRS` | No description available.
`GGIT_STATUS_OPTION_DISABLE_PATHSPEC_MATCH` | No description available.
`GGIT_STATUS_OPTION_RECURSE_IGNORED_DIRS` | No description available.
`GGIT_STATUS_OPTION_RENAMES_HEAD_TO_INDEX` | No description available.
`GGIT_STATUS_OPTION_RENAMES_INDEX_TO_WORKDIR` | No description available.
`GGIT_STATUS_OPTION_SORT_CASE_SENSITIVELY` | No description available.
`GGIT_STATUS_OPTION_SORT_CASE_INSENSITIVELY` | No description available.
`GGIT_STATUS_OPTION_DEFAULT` | No description available.